summaryrefslogtreecommitdiffstats
path: root/source/l/python-glad2
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2023-08-10 20:23:33 +0000
committer Eric Hameleers <alien@slackware.com>2023-08-10 22:58:39 +0200
commit0cf6293129665a135dbd856c8919b912e9ba041c (patch)
tree2036266202f400b9b1541e3af0caed0b6f0cdb34 /source/l/python-glad2
parent19e7ff8c7f3129e87cc2b771d47267c547bada6d (diff)
downloadcurrent-0cf6293129665a135dbd856c8919b912e9ba041c.tar.gz
current-0cf6293129665a135dbd856c8919b912e9ba041c.tar.xz
Thu Aug 10 20:23:33 UTC 202320230810202333
Thanks to Heinz Wiesinger for these added python packages to implement PEP 427 and PEP 517! Python modules are phasing out setup.py in favor of building wheels, and then using python-installer to install them. These are the bits needed to make that happen. l/python-build-0.10.0-x86_64-1.txz: Added. l/python-flit-core-3.9.0-x86_64-1.txz: Added. l/python-glad2-2.0.4-x86_64-1.txz: Added. l/python-installer-0.7.0-x86_64-1.txz: Added. l/python-lxml-4.9.3-x86_64-1.txz: Added. l/python-pyproject-hooks-1.0.0-x86_64-1.txz: Added. l/python-tomli-w-1.0.0-x86_64-1.txz: Added. l/python-wheel-0.41.1-x86_64-1.txz: Added. n/nftables-1.0.8-x86_64-2.txz: Rebuilt. Correctly generate nftables Python module using PEP 427/517 method. Thanks to marav. n/openssh-9.4p1-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/l/python-glad2')
-rwxr-xr-xsource/l/python-glad2/python-glad2.SlackBuild95
-rw-r--r--source/l/python-glad2/python-glad2.url1
-rw-r--r--source/l/python-glad2/slack-desc19
3 files changed, 115 insertions, 0 deletions
diff --git a/source/l/python-glad2/python-glad2.SlackBuild b/source/l/python-glad2/python-glad2.SlackBuild
new file mode 100755
index 000000000..5a5916f82
--- /dev/null
+++ b/source/l/python-glad2/python-glad2.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/bash
+
+# Copyright 2022 Heinz Wiesinger, Amsterdam, The Netherlands
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=python-glad2
+VERSION=${VERSION:-$(echo glad2-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i586 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+if [ "${ARCH}" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf glad2-$VERSION
+tar xvf $CWD/glad2-$VERSION.tar.?z || exit 1
+cd glad2-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+python3 -m build --wheel --no-isolation || exit 1
+
+python3 -m installer --destdir "$PKG" dist/*.whl || exit 1
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ *.md *.rst COPYING PKG-INFO \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/l/python-glad2/python-glad2.url b/source/l/python-glad2/python-glad2.url
new file mode 100644
index 000000000..aff83771e
--- /dev/null
+++ b/source/l/python-glad2/python-glad2.url
@@ -0,0 +1 @@
+https://pypi.org/project/glad2/#files
diff --git a/source/l/python-glad2/slack-desc b/source/l/python-glad2/slack-desc
new file mode 100644
index 000000000..ebd7eacbd
--- /dev/null
+++ b/source/l/python-glad2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+python-glad2: python-glad2 (Vulkan/GL/GLES/EGL/GLX/WGL Loader-Generator)
+python-glad2:
+python-glad2: Glad uses the official Khronos-XML specs to generate a
+python-glad2: GL/GLES/EGL/GLX/WGL Loader made for your needs.
+python-glad2:
+python-glad2:
+python-glad2:
+python-glad2:
+python-glad2:
+python-glad2:
+python-glad2: